openSUSE Security Update: Security update for java-1_8_0-openjdk
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1176-1
Rating:             important
References:         #1185056 #1188564 #1188565 #1188566 
Cross-References:   CVE-2021-2161 CVE-2021-2341 CVE-2021-2369
                    CVE-2021-2388
CVSS scores:
                    CVE-2021-2161 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
                    CVE-2021-2161 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
                    CVE-2021-2341 (NVD) : 3.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N
                    CVE-2021-2341 (SUSE): 3.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N
                    CVE-2021-2369 (NVD) : 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
                    CVE-2021-2369 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
                    CVE-2021-2388 (NVD) : 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-2388 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for java-1_8_0-openjdk fixes the following issues:

   - Update to version jdk8u302 (icedtea 3.20.0)
   - CVE-2021-2341: Improve file transfers. (bsc#1188564)
   - CVE-2021-2369: Better jar file validation. (bsc#1188565)
   - CVE-2021-2388: Enhance compiler validation. (bsc#1188566)
   - CVE-2021-2161: Less ambiguous processing. (bsc#1185056)

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1176=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      java-1_8_0-openjdk-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-accessibility-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-debuginfo-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-debugsource-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-demo-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-demo-debuginfo-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-devel-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-devel-debuginfo-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-headless-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-headless-debuginfo-1.8.0.302-lp152.2.15.1
      java-1_8_0-openjdk-src-1.8.0.302-lp152.2.15.1

   - openSUSE Leap 15.2 (noarch):

      java-1_8_0-openjdk-javadoc-1.8.0.302-lp152.2.15.1


References:

   https://www.suse.com/security/cve/CVE-2021-2161.html
   https://www.suse.com/security/cve/CVE-2021-2341.html
   https://www.suse.com/security/cve/CVE-2021-2369.html
   https://www.suse.com/security/cve/CVE-2021-2388.html
   https://bugzilla.suse.com/1185056
   https://bugzilla.suse.com/1188564
   https://bugzilla.suse.com/1188565
   https://bugzilla.suse.com/1188566